Subject: Re: [mobile-ip] Option Length for PadN

From: "Krishna Kumar" <[email-masked]>
Date: Mon, 3 Jun 2002 09:10:37 -0700

No, that seems to be a mistake in the draft. In the section 6.2.1, it is
clear that
the value is N-2. But all examples after that use the wrong value.

- KK

                      Sourajeet.Mohanty@lntinf                                                                                                        
                      otech.com                       To:       [email-masked]                                                         
                      Sent by:                        cc:                                                                                             
                      owner-mobile-ip@sunroof.        Subject:  [mobile-ip] Option Length for PadN                                                    
                      eng.sun.com                                                                                                                     

                      06/03/2002 07:17 AM                                                                                                             

Option Length for PadN
----------------------------

According to "RFC2460" ->
For N octets of padding, the Opt Data Len field contains the value N-2, and
the Option Data
consists of N-2 zero-valued octets.

According to "draft-ietf-mobileip-ipv6-17" ->
For N octets of padding, the Option Len field contains the value N, and the
Option
Data consists of N-2 zero-valued octets.

Does this mean that draft-17 updates what is defined in RFC2460 ??

---

From: Jari Arkko <[email-masked]>
Date: Mon, 03 Jun 2002 21:02:00 +0300

Section 6.2. deals with mobility options, not hop-by-hop or
destination options. Nevertheless, the text is inconsistent and the
length field of N-2 should be used. Corrected text for draft 18 will
be found in Sections 6.2.3 to 6.2.7.

Assigned issue #24 and tagged it as 'Adopted'.

Jari